add_subdirectory( svg-source) 

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kbruch (executable)

tde_add_executable( kbruch AUTOMOC

  SOURCES
        settingsclass.kcfgc
        taskvieweroptionsbase.ui
        exercisebase.cpp
        task.cpp ratio.cpp
        taskview.cpp
        statisticsview.cpp
        primenumber.cpp
        kbruch.cpp
        mainqtwidget.cpp
        taskwidget.cpp
        fractionbasewidget.cpp
        resultwidget.cpp
        exercisecompare.cpp
        ratiowidget.cpp
        rationalwidget.cpp
        exerciseconvert.cpp
        exercisefactorize.cpp
        factorizedwidget.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( )


##### other data

install(
    FILES kbruchui.rc
    DESTINATION ${DATA_INSTALL_DIR}/kbruch
)

tde_create_translated_desktop( kbruch.desktop )

install(
    FILES kbruch.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)
